<?php
include("../Librerias/ConfNivel2.inc");
$Nivel=$_Nivel2;
$ObjSesion=new Sesiones();   //Clase Sesin
$ObjSesion->MVerifica($Nivel);
$Conexion=new DBAccess();
$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);
$Formulario=new Formulario();
$FechaActual = date("Y-m-d");
//FEncabezado($Nivel);
/*Obtenemos los valores por get*/ 
	   $tags2 = array_keys($_GET); // obtiene los nombres de las variables
$valores2 = array_values($_GET);// obtiene los valores de las variables
$i=0;
foreach ($_GET as $valores){
 ${$tags2[$i]}=$valores;
 //echo '$'.$tags2[$i].' = $_POST["'.$tags2[$i].'"];<br>'; 
 $i++;	
}
	   /***VARIABLES POR POST ***/
if ($_POST){
$tags2 = array_keys($_POST); // obtiene los nombres de las variables
$valores2 = array_values($_POST);// obtiene los valores de las variables
$i=0;
foreach ($_POST as $valores){
 ${$tags2[$i]}=$valores;
 $i++;	
}
}
//$UsuarioId = $_GET["UsuarioId"];
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//ES" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
    <head> 
		<meta name="viewport" content="width=device-width, initial-scale=1, charset=utf-8">
		<link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>bootstrap/css/bootstrap.css">      
         <?
	   if ($_JQuery == 1)
echo '<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>';
else
echo '<script src="'.$Nivel.'Librerias/fancy/lib/jquery.min.js"></script>';
	   ?>
        <script src="<? echo $Nivel ?>bootstrap/js/bootstrap.min.js"></script>
        <link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/css/jquery.dataTables.css">
        <script type="text/javascript" language="javascript" src="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>
        <link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/css/jquery.dataTables.css">
        
         <link rel="stylesheet" href="<? echo $Nivel ?>Librerias/multicombos/docsupport/prism.css">
	            <link rel="stylesheet" href="<? echo $Nivel ?>Librerias/multicombos/chosen.css">
				 <style type="text/css" media="all">
				     .chosen-rtl .chosen-drop { left: -9000px; }
                  </style>
		<title>Bit&aacute;cora de Usuarios</title>
	</head>
    <body style="padding-top: 60px;">
<? 
include $Nivel."menu1.php";
echo '<br>';
//echo '-->'.$UsuarioId;
if (!$UsuarioId){
 //SELECT A.IdUsuario FROM Usuarios A INNER  JOIN Ubicaciones B ON A.IdUbicacion=B.IdUbicacion WHERE (B.Ubicacion='$S_SV[Ubicacion]' OR B.Ubicacion LIKE  '$S_SV[Ubicacion]-%' OR A.IdUbicacion=$S_SV[IdUbicacion]) ORDER  BY IdUsuario
 $Consulta=" FROM usuarios A inner join controlusuarios B ON A.IdUsuario=B.IdUsuario ";

if ($Descripcion)
 $Consulta.=" AND B.Descripcion LIKE '%$Descripcion%'";

if ($IdUser)
 $Consulta.=" AND B.IdUsuario=$IdUser";

if ($Fecha)
 $Consulta.=" AND B.Fecha='$Fecha' ";

} else { 
 $Consulta=" FROM controlusuarios  AND  IdUsuario=$UsuarioId";
 
if ($Descripcion)
 $Consulta.=" AND Descripcion LIKE '%$Descripcion%'";

 if ($Fecha)
  $Consulta.=" AND Fecha='$Fecha'";
   
}

$Consulta.=" ORDER BY IdControl DESC";


//$Consul = $Consulta;

//echo "->".$Consulta;
$Consulta = "Select * ".$Consulta;
//echo $Consulta;
$Res = $Conexion->MVectorRegistro($Consulta);
$registros = $Res->num_rows;
//echo "1-> ".$Consulta.'<br>';
//$Bloques=20;


//$Bloques=13;
//$arreglo = FIniciaPaginado($registros, $Res,$Bloques,$Pagina,$Bloque,$NPaginas,$NBloques,$Final,$Inicio,$Apuntador,$TotalFilas);
//FIniciaPaginado($Res,$Bloques,$Pagina,$Bloque,$NPaginas,$NBloques,$Final,$Inicio,$Apuntador,$TotalFilas);
//echo "valor: ".$Apuntador;
//ibase_data_seek($Res,$Apuntador);
  $Consul = $Consulta;
//echo "->".$Consul;
$Row = $Conexion->MVectorRegistro($Consul);

if ($Row){ ?>
<div class="container">
 <div class="panel panel-primary">  
     <div class="panel-heading"><strong><i class="fa fa-address-card-o" aria-hidden="true"></i>  Bit&aacute;cora de Usuarios</strong></div>
      <div class="row" style="margin-left: 10px; margin-right: 10px; margin-top:10px; margin-bottom:10px">  
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="display" id="example">
<thead>
  <tr bgcolor="<? echo $_CCT_GRID; ?>">
    <td width="25%" height="24">
      <div align="center"><strong>RESPONSABLE</strong></div></td>
    <td width="15%" height="24">
      <div align="center"><strong>FECHA</strong></div></td>
    <td width="10%" height="24">
      <div align="center"><strong>HORA</strong></div></td>
    <td width="10%" height="24">
      <div align="center"><strong>IP</strong></div></td>
    <td width="30%" height="24">
      <div align="center"><strong>DESCRIPCION</strong></div></td>
    <td width="10%" height="24">
      <div align="center"><strong>CLAVE</strong></div></td>
  </tr>
   </thead>
	<tbody>
<? 
$Cont=0;
$c=0;
while ($Rowi=mysqli_fetch_array($Row)){
  $ConsultaU="SELECT * FROM usuarios WHERE IdUsuario=".$Rowi["IdUsuario"];
  $RowU=$Conexion->MSelectRegistro($ConsultaU);
  
  echo '<tr bgcolor="'.$_CCC[$c].'">
                    <td height="24"><strong>'.$RowU["Usuario"].'</strong></td>
                    <td align="center">'.$Rowi["Fecha"].'</td>
                    <td align="center">'.$Rowi["Hora"].'</td>
                    <td align="center">'.$Rowi["Ip"].'</td>
                    <td>'.$Rowi["Descripcion"].'</td>
					<td align="center">'.$Rowi["Clave"].'</td>
                </tr>';
                $c=!$c;
				$Cont++;
}

 $Variables='?UsuarioId='.$UsuarioId.'&Fecha='.$Fecha.'&Descripcion='.$Descripcion;
 //$Variables='?Responsable='.$IdUsuario.'&FechaInicial='.$FechaInicial.'&IdUbicacion='.$IdUbicacion.'&Descripcion='.$Descripcion;
//echo '<font color="#000000">';
 //FTerminaPaginado("BitacoraUsuarios.php",$Variables,$Bloques,$arreglo["Pagina"],$arreglo["IBloque"],$arreglo["Bloque"],$arreglo["Final"],"#CC0000",$arreglo["Inicio"],$registros,$arreglo["NPaginas"],$arreglo["NBloques"]);
?>
</tbody>
	<tfoot>
		<tr>
			<th></th>
			<th></th>
            <th></th>	
            <th></th>
            <th></th>
            <th></th>			
		</tr>
	</tfoot>
</table>

</div>
</div>
</div>
<? } ?>
<? if ($_SESSION["Tipo"]=='A'){ ?>
<br><br>
<div align="center"> 
 <a href="FilltrosBitacoraUsuarios.php"><strong> [ Realizar Consulta ]</strong></a>
</div>
<? } ?>
<script type="text/javascript" language="javascript" src="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>    
<script type="text/javascript" language="javascript" class="init">
$(document).ready(function() {
	$('#example').dataTable( {
        "pagingType": "simple_numbers"
    } );
	
} );

</script> 
    <script src="<? echo $Nivel?>Librerias/multicombos/docsupport/prism.js" type="text/javascript" charset="utf-8"></script>        
    <script src="<? echo $Nivel?>Librerias/multicombos/chosen.jquery.js" type="text/javascript"></script>
<? 
    //llamamos a las funciones para las animaciones
	echo "<script type='text/javascript'>";
	echo "var config = {
      '.chosen-select'           : {},
      '.chosen-select-deselect'  : {allow_single_deselect:true},
      '.chosen-select-no-single' : {disable_search_threshold:10},
      '.chosen-select-no-results': {no_results_text:'?Sin resultados!'},
      '.chosen-select-width'     : {width:'95%'}
    }
	for (var selector in config) {
      $(selector).chosen(config[selector]);
    }";
	echo '</script>';
	?>
</body>